Download it now!
Bug 97663 - SVG <tspan> line spacing not correct
Summary: SVG <tspan> line spacing not correct
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:svg, regression
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-08 21:08 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-21 02:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (58.75 KB, image/png)
2016-02-08 21:08 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-08 21:08:12 UTC
Created attachment 122462 [details]
screenshot

Steps:
1) Open Writer
2) Insert https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/ny1.svg
3) Notice the spacing between text lines is to large which causes some text to touch or overlap.

Regression as this doesnt happen in 5.1.

Version: 5.1.1.0.0+
Build ID: d6c5a8103b103b80ef171c09ca593e68ae867189
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-1, Time: 2016-01-19_14:22:06
Locale: en-US (en_US.UTF-8)

Version: 5.2.0.0.alpha0+
Build ID: 6d68e88a0fc5a54bbb826379163bd0b9c6eae0fb
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-08_08:05:38
Locale: en-US (en_US.UTF-8)
Comment 1 Jacques Guilleron 2016-02-09 15:44:48 UTC
Hi Yousouf,

Reproduced with 
LO 5.2.0.0.alpha0+ Build ID: 76ec54e8c9f3580450bca85236a4f5af0c328588
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-09_00:10:35
Locale: en-US (fr_FR)
& Windows 7 Home.
Not reproduced with
LO 5.1.0.3 (x64) Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale : fr-FR (fr_FR)
Comment 2 raal 2016-02-16 14:29:01 UTC
This seems to have begun at the below commit.
Adding Cc: to Xisco Fauli; Could you possibly take a look at this one? Thanks

1f03d1c9a42a7b0df855f73e55aef2774cf330f8 is the first bad commit
commit 1f03d1c9a42a7b0df855f73e55aef2774cf330f8
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Feb 4 23:01:26 2016 -0800

    source sha:701324a1e1f7e0c181ff1a50956ced686785ea53

    source sha:701324a1e1f7e0c181ff1a50956ced686785ea53

:040000 040000 38b092e71dfed5c39cef8046c5b4e73301c53519 de619b848cf45673db5be53de4ae032e0d994e5c M instdir

author	Xisco Fauli <anistenis@gmail.com>	2016-01-26 00:29:22 (GMT)
committer	Noel Grandin <noelgrandin@gmail.com>	2016-01-28 06:47:47 (GMT)
commit	701324a1e1f7e0c181ff1a50956ced686785ea53 (patch)
tree	4b0d053279cd5c4a393df80b1d5d953cedf3997f
parent	c06238f28209402a9cbcc2471dd713de0db0fb4b (diff)
SVGIO: tdf#45771: Fix issue when text size is twice its size...
Comment 3 Xisco Faulí 2016-02-16 14:38:10 UTC
Hi raal, thanks for bibisecting. I'll take a look...
Comment 4 Xisco Faulí 2017-09-29 08:51:53 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2018-06-20 12:41:39 UTC
still repro in LibreOffice 6.1 beta 2
Comment 6 QA Administrators 2019-06-21 02:54:03 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug